Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413769 - The counter ae_state_retries is not incremented if $evm.root['ae_result'] = 'retry' is set in a state machine on_exit method
Summary: The counter ae_state_retries is not incremented if $evm.root['ae_result'] = '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: mkanoor
QA Contact: Milan Falešník
URL:
Whiteboard: automate
Depends On: 1368058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 22:31 UTC by Satoe Imaishi
Modified: 2017-02-27 19:28 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1368058
Environment:
Last Closed: 2017-02-27 19:28:11 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-16 22:41:09 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/61a1701e590a3a55b09b73e10e5298a04cd8eb5c

commit 61a1701e590a3a55b09b73e10e5298a04cd8eb5c
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jan 3 16:32:54 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 17:30:38 2017 -0500

    Merge pull request #13339 from mkanoor/bugzilla_1368058
    
    Increment the ae_state_retries when on_exit sets retry
    (cherry picked from commit 8bda79ea62e3a623f884fb2577b16492df794cc0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413769

 .../engine/miq_ae_state_machine.rb                 |  8 +++++++-
 .../miq_ae_state_machine_steps_spec.rb             | 24 ++++++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)

Comment 3 Milan Falešník 2017-01-25 12:12:51 UTC
Reproduced in 5.7.0.17 and verified that it no longer happens in 5.7.1.0.

Comment 5 errata-xmlrpc 2017-02-27 19:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.